Skip to main content
GET
/
v1
/
projects
/
{projectId}
/
agent
/
versions
List agent versions
curl --request GET \
  --url https://api.pathors.com/v1/projects/{projectId}/agent/versions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "version": 123,
      "source": "<string>",
      "actorId": "<string>",
      "actor": {
        "id": "<string>",
        "name": "<string>",
        "image": "<string>"
      },
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Developer key created from the dashboard (Settings → Developer Keys)

Path Parameters

projectId
string
required

The ID of your project

Query Parameters

limit
integer

Page size (1–100, default 20)

Required range: 1 <= x <= 100
cursor
string

Opaque cursor returned as nextCursor

Response

OK

data
object[]
required
nextCursor
string | null
required